package com.loafle.overflow.module.history.dao;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.history.model.History;
import com.loafle.overflow.module.meta.model.MetaHistoryType;
import com.loafle.overflow.module.probe.model.Probe;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;


/**
 * Created by insanity on 17. 8. 23.
 */
@Repository
public interface HistoryDAO extends JpaRepository<History, Long> {

    Page<History> findAllByProbe(Probe probe, Pageable pageable);

    @Query("SELECT h FROM History h WHERE h.probe.id = :#{#probe.id} and h.type.id = :#{#type.id}")
    Page<History> findAllByProbeAndType(@Param("probe") Probe probe, @Param("type") MetaHistoryType type, Pageable pageable);

    Page<History> findAllByDomain(@Param("domain") Domain domain, Pageable pageRequest);

    @Query("SELECT h FROM History h WHERE h.domain.id = :#{#domain.id} and h.type.id = :#{#type.id}")
    Page<History> findAllByDomainAndType(@Param("domain") Domain domain, @Param("type") MetaHistoryType type, Pageable pageRequest);
}
