package com.loafle.overflow.module.notification.dao;

import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.notification.model.Notification;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 8. 25.
 */
@Repository
public interface NotificationDAO extends JpaRepository<Notification, Long>  {

    Page<Notification> findAllByMember(Member member, Pageable pageRequest);

    @Query("SELECT n FROM Notification n WHERE n.member.id = :#{#member.id} and n.confirmDate IS NULL")
    Page<Notification> findAllUnconfirmedByMember(@Param("member") Member member, Pageable pageRequest);
}
