package com.loafle.overflow.module.notification.service;

import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.notification.dao.NotificationDAO;
import com.loafle.overflow.module.notification.model.Notification;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 8. 25.
 */
@Service("NotificationService")
public class NotificationService {

    @Autowired
    private NotificationDAO notificationDAO;

    public Notification regist(Notification notification) {
        return this.notificationDAO.save(notification);
    }

    public Page<Notification> readAllByMember(Member member, int pageNo, int countPerPage) {
        Pageable pageRequest =
                new PageRequest(pageNo, countPerPage, new Sort(Sort.Direction.DESC, "id"));
        return this.notificationDAO.findAllByMember(member, pageRequest);
    }

    public Page<Notification> readAllUnconfirmedByMember(Member member, int pageNo, int countPerPage) {
        Pageable pageRequest =
                new PageRequest(pageNo, countPerPage, new Sort(Sort.Direction.DESC, "id"));
        return this.notificationDAO.findAllUnconfirmedByMember(member, pageRequest);
    }
}
