package com.loafle.overflow.module.probe.service;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.probe.dao.ProbeDAO;
import com.loafle.overflow.module.probe.model.Probe;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("ProbeService")
public class ProbeService {

    @Autowired
    private ProbeDAO probeDAO;

    public Probe regist(Probe probe) {
        return this.probeDAO.save(probe);
    }

    public List<Probe> regist(List<Probe> probes) {
        return this.probeDAO.save(probes);
    }

    public List<Probe> readAllByDomain(Domain domain) {
        return this.probeDAO.findAllByDomainOrderByIdDesc(domain);
    }

    public Probe read(long id) {
        return this.probeDAO.findOne(id);
    }

    public Probe readByProbeKey(String probeKey) {

        return this.probeDAO.findByProbeKey(probeKey);
    }

    public Probe modify(Probe probe) {
        return this.probeDAO.save(probe);
    }
}
