package com.loafle.overflow.module.sensor.dao;


import com.loafle.overflow.module.sensor.model.Sensor;
import com.loafle.overflow.module.target.model.Target;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by root on 17. 6. 9.
 */
@Repository
public interface SensorDAO extends JpaRepository<Sensor, Long> {


    Page<Sensor> findAllByTarget(Target target, Pageable pageable);

    @Query("SELECT s from Sensor s WHERE s.target in (:targetList)")
    Page<Sensor> findAllByTargetList(@Param("targetList") List<Target> targetList, Pageable pageable);
//    List<Sensor> findAllByTargetList(List<Target> targets);

}
