package com.loafle.overflow.spring;

import org.springframework.beans.factory.config.PropertyPlaceholderConfigurer;
import org.springframework.context.annotation.*;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.test.context.TestPropertySource;

import static org.junit.Assert.*;

/**
 * Created by geek on 17. 8. 8.
 */
@Configuration
@ComponentScan(basePackages = {"com.loafle.overflow"}, excludeFilters = @ComponentScan.Filter({Configuration.class}))
@Import({JdbcConfiguration.class, MailConfiguration.class})
@TestPropertySource({"classpath:database.properties","classpath:mail.properties"})
public class AppConfigTest {

    @Bean
    public static PropertyPlaceholderConfigurer propertyPlaceholderConfigurer() {
        PropertyPlaceholderConfigurer ppc = new PropertyPlaceholderConfigurer();
//        ppc.setLocation(new ClassPathResource("database.properties"));
        ppc.setLocations(new Resource[] {
                new ClassPathResource("database.properties"),
                new ClassPathResource("mail.properties")
        });
        ppc.setIgnoreUnresolvablePlaceholders(true);

        return ppc;
    }

}